%==========================================================
% Mercury Matlab Version 1.0 for Education
% Written by Dae-Hung Kang, CU-NEES
% Copyright 2009, CU-NEES
% Written  : September 2009.
% File name: ReadInputFile.m
%==========================================================

function [str, ele, sec, mat, staticforces] = ReadInputFile
%------------------------------------------------
filename = input('Input excutable file name[*.m]: ','s');
fid = fopen(filename, 'r');
y='';
while feof(fid) == 0
    tline = fgets(fid);
    y=[y,tline];
end
fclose(fid);
eval(y);
str.infile = filename;
%------------------------------------------------
[str]           = BasicInfo(str, Unit, StrMode, Analysis);
[str]           = NodeInfo(str, nodcoord, constraint);
[str, ele]      = ElementInfo(str, elements);
[str, ele, sec] = SectionInfo(str, ele, sections);
[str, mat]      = MaterialInfo(str, materials);
[str, ele]      = StaticForceInfo(str, ele, staticforces);



