%==========================================================
% Mercury Matlab Version 1.0 for Education
% Written by Dae-Hung Kang, CU-NEES
% Copyright 2009, CU-NEES
% Written  : September 2009.
% File name: Simple3DTrussTransformationMarix.m
%==========================================================

function [Gamma] = Simple3DTrussTransformationMarix(Cx, Cy, Cz)
%------------------------------------------------
Gamma(:,:) = [Cx, Cy, Cz,  0,  0,  0;
               0,  0,  0, Cx, Cy, Cz];
%------------------------------------------------
%================================================
% Gamma : Transformation matrix
% Cx    : Direction consine of x direction
% Cy    : Direction consine of y direction
% Cz    : Direction consine of z direction
%================================================
