%==========================================================
% Mercury Matlab Version 1.0 for Education
% Written by Dae-Hung Kang, CU-NEES
% Copyright 2009, CU-NEES
% Written  : September 2009.
% File name: .m
%==========================================================

function [tmpeleinfo] = StiffnessBased2DBeamColumnInfo(eleinfo)
%----------------------------------------------------------
tmpeleinfo.tag    = eleinfo{1};
tmpeleinfo.snode  = eleinfo{3};
tmpeleinfo.enode  = eleinfo{4};
tmpeleinfo.sectag = eleinfo{5};
%==========================================================
% tmpeleinfo: Structure with information on element input data.
% tag: Element tag
% snode: Start node of element
% enode: End node of element
% sectag: Section tag of element
%==========================================================
