%==========================================================
% Mercury Matlab Version 1.0 for Education
% Written by Dae-Hung Kang, CU-NEES
% Copyright 2009, CU-NEES
% Written  : September 2009.
% File name: .m
%==========================================================

function [str] = BasicInfo(str, Unit, StrMode, Analysis)
%----------------------------------------------------------
str.Funit = Unit{1,1};
str.Lunit = Unit{1,2};
str.ndim        = StrMode(1);
str.ndofpn      = StrMode(2);
str.analysis    = Analysis;
%==========================================================
% Description of variables
%----------------------------------------------------------
% str         : Structure with information on structural level
% StrMode     : Input data on number of dimensions and number
%               of degrees of freedom
% str.ndim    : Definition of dimension
% str.ndofpn  : Number of degrees of freedom
% str.analysis: Definition of analysis
%==========================================================