%==========================================================
% Mercury Matlab Version 1.0 for Education
% Written by Dae-Hung Kang, CU-NEES
% Copyright 2009, CU-NEES
% Written  : September 2009.
% File name: GridTransformationMatrix.m
%==========================================================

function [Gamma] = GridTransformationMarix(Cx, Cy)
%------------------------------------------------
Gamma(:,:) = [ Cx, 0, Cy,   0, 0,  0;
                0, 1,  0,   0, 0,  0;
              -Cy, 0, Cx,   0, 0,  0;
                0, 0,  0,  Cx, 0, Cy;
                0, 0,  0,   0, 1,  0;
                0, 0,  0, -Cy, 0, Cx];
%------------------------------------------------
%================================================
% Gamma : Transformation matrix
% Cx    : Direction consine of x direction
% Cy    : Direction consine of y direction
%================================================