%==========================================================
% Mercury Matlab Version 1.0 for Education
% Written by Dae-Hung Kang, CU-NEES
% Copyright 2009, CU-NEES
% Written  : September 2009.
% File name: MaterialInfo.m
%==========================================================

function [str, mat] = MaterialInfo(str, materials)
%------------------------------------------------
str.nmat = size(materials,1);
%------------------------------------------------
for imat = 1:str.nmat
    tag  = materials{imat}{1};
    type = materials{imat}{2};
    switch type
        case 'Elastic'
            mat(tag).tag     = materials{imat}{1};
            mat(tag).type    = materials{imat}{2};
            mat(tag).E       = materials{imat}{3};
            mat(tag).G       = materials{imat}{4};
    end
end