%==========================================================
% Mercury Matlab Version 1.0 for Education
% Written by Dae-Hung Kang, CU-NEES
% Copyright 2009, CU-NEES
% Written  : September 2009.
% File name: SectionInfo.m
%==========================================================

function [str, ele, sec] = SectionInfo(str, ele, sections)
%------------------------------------------------
str.nsec = size(sections,1);
%------------------------------------------------
for isec = 1:str.nsec
    tag     = sections{isec,1};
    type    = sections{isec,2};
    switch type
        case 'General'
            sec(tag).tag    = sections{isec,1};
            sec(tag).type   = sections{isec,2};
            sec(tag).mattag = sections{isec,3}{1};
            sec(tag).A      = sections{isec,3}{2};
            sec(tag).Ix     = sections{isec,3}{3};
            sec(tag).Iy     = sections{isec,3}{4};
            sec(tag).Iz     = sections{isec,3}{5};
    end
end
%------------------------------------------------