%==========================================================
% Mercury Matlab Version 1.0 for Education
% Written by Dae-Hung Kang, CU-NEES
% Copyright 2009, CU-NEES
% Written  : September 2009.
% File name: StiffnessBased2DBeamColumnTransformationMarix.m
%==========================================================

function [Gamma] = StiffnessBased2DBeamColumnTransformationMarix(Cx, Cy)
%------------------------------------------------
Gamma(:,:) = [ Cx, Cy, 0,   0,  0, 0;
              -Cy, Cx, 0,   0,  0, 0;
                0,  0, 1,   0,  0, 0;
                0,  0, 0,  Cx, Cy, 0;
                0,  0, 0, -Cy, Cx, 0;
                0,  0, 0,   0,  0, 1];
%================================================
% Gamma : Transformation matrix
% Cx    : Direction consine of x direction
% Cy    : Direction consine of y direction
%================================================
