%==========================================================
% Mercury Matlab Version 1.0 for Education
% Written by Dae-Hung Kang, CU-NEES
% Copyright 2009, CU-NEES
% Written  : September 2009.
% File name: nodalforce.m
%==========================================================

function [static_nf] = nodalforce(nfdofs, ID, iforce, staticforces)
%----------------------------------------------------------
nnf = size(staticforces{iforce,2},1);   % number of nodal forces
%----------------------------------------------------------
static_nf(1:nfdofs, 1) = 0;
%----------------------------------------------------------
for inf = 1:nnf
    static_nf( ID( staticforces{iforce,2}{inf,1},staticforces{iforce,2}{inf,2} ), 1) = staticforces{iforce,2}{inf,3};
end
%----------------------------------------------------------

