%==========================================================
% Mercury Matlab Version 1.0 for Education
% Written by Dae-Hung Kang, CU-NEES
% Copyright 2009, CU-NEES
% Written  : September 2009.
% File name: settlement.m
%==========================================================

function [static_settle] = settlement(nfdofs, ncdofs, ID, iforce, staticforces)

%----------------------------------------------------------
nnd = size(staticforces{iforce,2},1);   % number of settlements
%----------------------------------------------------------
static_settle(1:ncdofs,1) = 0;
for ind = 1:nnd
    static_settle( ID( staticforces{iforce,2}{ind,1},staticforces{iforce,2}{ind,2} ) - nfdofs, 1) = staticforces{iforce,2}{ind,3};
end
%----------------------------------------------------------