%==========================================================
% Mercury Matlab Version 1.0 for Education
% Written by Dae-Hung Kang, CU-NEES
% Copyright 2009, CU-NEES
% Written  : September 2009.
% File name: staticanalysis.m
%==========================================================

function [str, ele] = staticanalysis(str, ele, sec, mat)
%------------------------------------------------
fprintf('--------------------\n')
fprintf('Start: Linear elastic\n');
%------------------------------------------------
[str, ele] = staticlinear(str, ele, sec, mat);
%------------------------------------------------
fprintf('--------------------\n')
fprintf('End  : Linear elastic\n');

%================================================
% str: Structure with information on structural level
% ele: Structure with information on element level
% sec: Structure with information on section level
% mat: Structure with information on material level
% staticlinear: function for linear elastic static analysis 
%================================================